Request record reading
curl --request POST \
--url https://api.sortx.co.uk/front-desk/record-readings/for/{kind}/{subjectId} \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/front-desk/record-readings/for/{kind}/{subjectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/front-desk/record-readings/for/{kind}/{subjectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"kind": "duplicate-review",
"subjectId": "<string>",
"version": "<string>",
"state": "not_included",
"items": [
{
"key": "<string>",
"targetId": "<string>",
"title": "<string>",
"status": "<string>",
"note": "<string>",
"rank": 123,
"quote": "<string>",
"facts": [
"<string>"
],
"dimensions": [
{
"label": "<string>",
"quote": "<string>",
"state": "<string>"
}
]
}
],
"note": "<string>",
"canRetry": true,
"updatedAt": "<string>",
"reviews": [
{
"item": "<string>",
"action": "<string>",
"recordId": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}front-desk
Request record reading
POST
/
front-desk
/
record-readings
/
for
/
{kind}
/
{subjectId}
Request record reading
curl --request POST \
--url https://api.sortx.co.uk/front-desk/record-readings/for/{kind}/{subjectId} \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/front-desk/record-readings/for/{kind}/{subjectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/front-desk/record-readings/for/{kind}/{subjectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"kind": "duplicate-review",
"subjectId": "<string>",
"version": "<string>",
"state": "not_included",
"items": [
{
"key": "<string>",
"targetId": "<string>",
"title": "<string>",
"status": "<string>",
"note": "<string>",
"rank": 123,
"quote": "<string>",
"facts": [
"<string>"
],
"dimensions": [
{
"label": "<string>",
"quote": "<string>",
"state": "<string>"
}
]
}
],
"note": "<string>",
"canRetry": true,
"updatedAt": "<string>",
"reviews": [
{
"item": "<string>",
"action": "<string>",
"recordId": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Available options:
duplicate-review Response
Success
Available options:
duplicate-review Available options:
not_included, off, not_requested, pending, ready, unavailable Show child attributes
Show child attributes
Show child attributes
Show child attributes